#include <kdialog.h>
#include <klocale.h>

#ifndef UI_KCMKVAIOGENERAL_H
#define UI_KCMKVAIOGENERAL_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3ProgressBar>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "kled.h"

class Ui_KCMKVaioGeneral
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *tlOff;
    Q3Frame *frameMain;
    QVBoxLayout *vboxLayout1;
    Q3ButtonGroup *bgBattery;
    QHBoxLayout *hboxLayout;
    QLabel *mTLBattery;
    Q3ProgressBar *mKPBattery;
    KLed *kledAC;
    QLabel *tlAC;
    KLed *kledBat1;
    QLabel *tlBat1;
    KLed *kledBat2;
    QLabel *tlBat2;
    Q3ButtonGroup *bgGeneral;
    QVBoxLayout *vboxLayout2;
    QCheckBox *mCbPowerMsgs;
    QCheckBox *mCbBackButtonMsg;
    QCheckBox *cbReportUnknownEvents;

    void setupUi(QWidget *KCMKVaioGeneral)
    {
    if (KCMKVaioGeneral->objectName().isEmpty())
        KCMKVaioGeneral->setObjectName(QString::fromUtf8("KCMKVaioGeneral"));
    KCMKVaioGeneral->resize(536, 226);
    vboxLayout = new QVBoxLayout(KCMKVaioGeneral);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    tlOff = new QLabel(KCMKVaioGeneral);
    tlOff->setObjectName(QString::fromUtf8("tlOff"));
    tlOff->setFrameShape(QFrame::NoFrame);
    tlOff->setFrameShadow(QFrame::Plain);
    tlOff->setWordWrap(false);

    vboxLayout->addWidget(tlOff);

    frameMain = new Q3Frame(KCMKVaioGeneral);
    frameMain->setObjectName(QString::fromUtf8("frameMain"));
    frameMain->setFrameShape(Q3Frame::NoFrame);
    frameMain->setFrameShadow(Q3Frame::Plain);
    vboxLayout1 = new QVBoxLayout(frameMain);
    vboxLayout1->setSpacing(KDialog::spacingHint());
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    bgBattery = new Q3ButtonGroup(frameMain);
    bgBattery->setObjectName(QString::fromUtf8("bgBattery"));
    bgBattery->setColumnLayout(0, Qt::Vertical);
    bgBattery->layout()->setSpacing(KDialog::spacingHint());
    bgBattery->layout()->setMargin(KDialog::marginHint());
    hboxLayout = new QHBoxLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(bgBattery->layout());
    if (boxlayout)
        boxlayout->addLayout(hboxLayout);
    hboxLayout->setAlignment(Qt::AlignTop);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    mTLBattery = new QLabel(bgBattery);
    mTLBattery->setObjectName(QString::fromUtf8("mTLBattery"));
    mTLBattery->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    mTLBattery->setWordWrap(false);

    hboxLayout->addWidget(mTLBattery);

    mKPBattery = new Q3ProgressBar(bgBattery);
    mKPBattery->setObjectName(QString::fromUtf8("mKPBattery"));

    hboxLayout->addWidget(mKPBattery);

    kledAC = new KLed(bgBattery);
    kledAC->setObjectName(QString::fromUtf8("kledAC"));
    kledAC->setState(KLed::Off);
    kledAC->setShape(KLed::Rectangular);
    kledAC->setColor(QColor(0, 255, 0));

    hboxLayout->addWidget(kledAC);

    tlAC = new QLabel(bgBattery);
    tlAC->setObjectName(QString::fromUtf8("tlAC"));
    QFont font;
    tlAC->setFont(font);
    tlAC->setAlignment(Qt::AlignVCenter|Qt::AlignLeft);
    tlAC->setWordWrap(false);

    hboxLayout->addWidget(tlAC);

    kledBat1 = new KLed(bgBattery);
    kledBat1->setObjectName(QString::fromUtf8("kledBat1"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(kledBat1->sizePolicy().hasHeightForWidth());
    kledBat1->setSizePolicy(sizePolicy);
    kledBat1->setState(KLed::Off);
    kledBat1->setShape(KLed::Rectangular);
    kledBat1->setColor(QColor(255, 255, 0));

    hboxLayout->addWidget(kledBat1);

    tlBat1 = new QLabel(bgBattery);
    tlBat1->setObjectName(QString::fromUtf8("tlBat1"));
    tlBat1->setFont(font);
    tlBat1->setAlignment(Qt::AlignVCenter|Qt::AlignLeft);
    tlBat1->setWordWrap(false);

    hboxLayout->addWidget(tlBat1);

    kledBat2 = new KLed(bgBattery);
    kledBat2->setObjectName(QString::fromUtf8("kledBat2"));
    kledBat2->setState(KLed::Off);
    kledBat2->setShape(KLed::Rectangular);
    kledBat2->setLook(KLed::Raised);
    kledBat2->setColor(QColor(255, 255, 0));

    hboxLayout->addWidget(kledBat2);

    tlBat2 = new QLabel(bgBattery);
    tlBat2->setObjectName(QString::fromUtf8("tlBat2"));
    tlBat2->setFont(font);
    tlBat2->setAlignment(Qt::AlignVCenter|Qt::AlignLeft);
    tlBat2->setWordWrap(false);

    hboxLayout->addWidget(tlBat2);


    vboxLayout1->addWidget(bgBattery);

    bgGeneral = new Q3ButtonGroup(frameMain);
    bgGeneral->setObjectName(QString::fromUtf8("bgGeneral"));
    bgGeneral->setColumnLayout(0, Qt::Vertical);
    bgGeneral->layout()->setSpacing(KDialog::spacingHint());
    bgGeneral->layout()->setMargin(KDialog::marginHint());
    vboxLayout2 = new QVBoxLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(bgGeneral->layout());
    if (boxlayout1)
        boxlayout1->addLayout(vboxLayout2);
    vboxLayout2->setAlignment(Qt::AlignTop);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    mCbPowerMsgs = new QCheckBox(bgGeneral);
    mCbPowerMsgs->setObjectName(QString::fromUtf8("mCbPowerMsgs"));

    vboxLayout2->addWidget(mCbPowerMsgs);

    mCbBackButtonMsg = new QCheckBox(bgGeneral);
    mCbBackButtonMsg->setObjectName(QString::fromUtf8("mCbBackButtonMsg"));

    vboxLayout2->addWidget(mCbBackButtonMsg);

    cbReportUnknownEvents = new QCheckBox(bgGeneral);
    cbReportUnknownEvents->setObjectName(QString::fromUtf8("cbReportUnknownEvents"));

    vboxLayout2->addWidget(cbReportUnknownEvents);


    vboxLayout1->addWidget(bgGeneral);


    vboxLayout->addWidget(frameMain);


    retranslateUi(KCMKVaioGeneral);
    QObject::connect(cbReportUnknownEvents, SIGNAL(toggled(bool)), KCMKVaioGeneral, SLOT(slotChanged()));
    QObject::connect(mCbPowerMsgs, SIGNAL(toggled(bool)), KCMKVaioGeneral, SLOT(slotChanged()));
    QObject::connect(mCbBackButtonMsg, SIGNAL(toggled(bool)), KCMKVaioGeneral, SLOT(slotChanged()));

    QMetaObject::connectSlotsByName(KCMKVaioGeneral);
    } // setupUi

    void retranslateUi(QWidget *KCMKVaioGeneral)
    {
    KCMKVaioGeneral->setWindowTitle(tr2i18n("KVaio: General Options", 0));
    tlOff->setText(tr2i18n("Cannot find the <i>Sony Programmable Interrupt Controller</i>. If this is a Sony Vaio Laptop, make sure the <b>sonypi</b> driver module loads without failures.", 0));
    bgBattery->setTitle(tr2i18n("System Power", 0));
    mTLBattery->setText(tr2i18n("Remaining battery capacity:", 0));
    tlAC->setText(tr2i18n("AC", 0));
    tlBat1->setText(tr2i18n("Bat 1", 0));
    tlBat2->setText(tr2i18n("Bat 2", 0));
    bgGeneral->setTitle(tr2i18n("Other Options", 0));
    mCbPowerMsgs->setText(tr2i18n("Periodically inform about battery and AC adapter status", 0));
    mCbBackButtonMsg->setText(tr2i18n("Show battery and AC status on Back button press", 0));
    cbReportUnknownEvents->setText(tr2i18n("Report unhandled events using On Screen Display", 0));
    Q_UNUSED(KCMKVaioGeneral);
    } // retranslateUi

};

namespace Ui {
    class KCMKVaioGeneral: public Ui_KCMKVaioGeneral {};
} // namespace Ui

class KCMKVaioGeneral : public QWidget, public Ui::KCMKVaioGeneral
{
    Q_OBJECT

public:
    KCMKVaioGeneral(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~KCMKVaioGeneral();

public slots:
    virtual void slotChanged();

signals:
    void changed();

protected slots:
    virtual void languageChange();

};

#endif // KCMKVAIOGENERAL_H

